List all Credit Notes
curl --request GET \
--url https://api.nocotax.app/credit_notes \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/credit_notes"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/credit_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/credit_notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/credit_notes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nocotax.app/credit_notes")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/credit_notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"object": "list",
"has_more": false,
"has_before": false,
"data": [
{
"id": "cn_17920607368txm6a5d64b5",
"livemode": false,
"object": "credit_note",
"amount_to_credit": 2888,
"amount_overcredited": 0,
"amount_credited": 0,
"amount_post_payment": 2888,
"amount_pre_payment": 0,
"amount_remaining": 2888,
"automatic_tax_calculation": {
"enabled": false
},
"credit_status": "to_credit",
"currency": "EUR",
"customer_data": {
"name": "Macejkovic, Ondricka and Becker",
"billing_address": {
"city": "Jenelleshire",
"line1": "736 Deckow Rapid",
"line2": "Suite 267",
"country": "FO",
"postal_code": "92982"
},
"tax_identification_number": "134953645",
"business_registration_number": "24704235100285"
},
"customer_id": "org_17920607367albba2ae37c",
"customer_tax_registration_data": [],
"customer_tax_registration_ids": [],
"document_date": "2026-10-15",
"document_number": "CN00001",
"flow": "sales",
"invoice_id": null,
"issuer": null,
"legal_notices": null,
"locale": "en",
"memo": null,
"metadata": {},
"numbering_sequence_id": "ns_179206073675eg43044735",
"order_reference": null,
"period": null,
"representations": {
"hosted_page_url": "https://repo.nocotax.test:3000/credit_notes/xVFEb2-TuAEL8wnpl-I9YN_Er6YX8NEckWksC45_e8s",
"pdf_file_url": "https://repo.nocotax.test:3000/credit_notes/xVFEb2-TuAEL8wnpl-I9YN_Er6YX8NEckWksC45_e8s/pdf"
},
"status": "finalized",
"status_transitions": {
"finalized_at": "2026-10-15T12:38:56.480+02:00"
},
"supplier_country": "YE",
"supplier_data": {
"name": "Lebsack, Hermiston and Tillman",
"billing_address": {
"city": "Predovicstad",
"line1": "1453 Powlowski Summit",
"line2": "Apt. 293",
"country": "YE",
"postal_code": "33305-5579"
},
"tax_identification_number": "865614614",
"business_registration_number": "51375439000864"
},
"supplier_id": "org_17920607366y0b2494c5b2",
"supplier_tax_registration_data": [],
"supplier_tax_registration_ids": [],
"taxes": [],
"total_extratax_amount": 2888,
"total_tax_amount": 0,
"total_tax_included_amount": 2888,
"created_at": "2026-10-15T10:38:56.418Z",
"updated_at": "2026-10-15T10:38:56.563Z"
},
{
"id": "cn_179206073689ng29a69c0b",
"livemode": false,
"object": "credit_note",
"amount_to_credit": null,
"amount_overcredited": null,
"amount_credited": null,
"amount_post_payment": null,
"amount_pre_payment": null,
"amount_remaining": null,
"automatic_tax_calculation": {
"enabled": false
},
"credit_status": null,
"currency": "EUR",
"customer_data": {
"name": "Macejkovic, Ondricka and Becker",
"billing_address": {
"city": "Jenelleshire",
"line1": "736 Deckow Rapid",
"line2": "Suite 267",
"country": "FO",
"postal_code": "92982"
},
"tax_identification_number": "134953645",
"business_registration_number": "24704235100285"
},
"customer_id": "org_17920607367albba2ae37c",
"customer_tax_registration_data": [],
"customer_tax_registration_ids": [],
"document_date": null,
"document_number": null,
"flow": "sales",
"invoice_id": null,
"issuer": null,
"legal_notices": null,
"locale": "en",
"memo": null,
"metadata": {},
"numbering_sequence_id": "ns_179206073675eg43044735",
"order_reference": null,
"period": null,
"representations": {},
"status": "draft",
"status_transitions": {},
"supplier_country": "YE",
"supplier_data": {
"name": "Lebsack, Hermiston and Tillman",
"billing_address": {
"city": "Predovicstad",
"line1": "1453 Powlowski Summit",
"line2": "Apt. 293",
"country": "YE",
"postal_code": "33305-5579"
},
"tax_identification_number": "865614614",
"business_registration_number": "51375439000864"
},
"supplier_id": "org_17920607366y0b2494c5b2",
"supplier_tax_registration_data": [],
"supplier_tax_registration_ids": [],
"taxes": [],
"total_extratax_amount": 2888,
"total_tax_amount": 0,
"total_tax_included_amount": 2888,
"created_at": "2026-10-15T10:38:56.390Z",
"updated_at": "2026-10-15T10:38:56.390Z"
}
]
}{
"message": "<string>",
"status": 123,
"type": "INVALID_REQUEST_ERROR",
"params": [
{
"field": "<string>",
"errors": [
"<string>"
]
}
]
}Credit Notes
List all Credit Notes
Returns a list of credit notes you’ve previously created. The credit notes are returned in sorted order, with the most recent appearing first.
GET
/
credit_notes
List all Credit Notes
curl --request GET \
--url https://api.nocotax.app/credit_notes \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/credit_notes"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/credit_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/credit_notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/credit_notes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nocotax.app/credit_notes")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/credit_notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"object": "list",
"has_more": false,
"has_before": false,
"data": [
{
"id": "cn_17920607368txm6a5d64b5",
"livemode": false,
"object": "credit_note",
"amount_to_credit": 2888,
"amount_overcredited": 0,
"amount_credited": 0,
"amount_post_payment": 2888,
"amount_pre_payment": 0,
"amount_remaining": 2888,
"automatic_tax_calculation": {
"enabled": false
},
"credit_status": "to_credit",
"currency": "EUR",
"customer_data": {
"name": "Macejkovic, Ondricka and Becker",
"billing_address": {
"city": "Jenelleshire",
"line1": "736 Deckow Rapid",
"line2": "Suite 267",
"country": "FO",
"postal_code": "92982"
},
"tax_identification_number": "134953645",
"business_registration_number": "24704235100285"
},
"customer_id": "org_17920607367albba2ae37c",
"customer_tax_registration_data": [],
"customer_tax_registration_ids": [],
"document_date": "2026-10-15",
"document_number": "CN00001",
"flow": "sales",
"invoice_id": null,
"issuer": null,
"legal_notices": null,
"locale": "en",
"memo": null,
"metadata": {},
"numbering_sequence_id": "ns_179206073675eg43044735",
"order_reference": null,
"period": null,
"representations": {
"hosted_page_url": "https://repo.nocotax.test:3000/credit_notes/xVFEb2-TuAEL8wnpl-I9YN_Er6YX8NEckWksC45_e8s",
"pdf_file_url": "https://repo.nocotax.test:3000/credit_notes/xVFEb2-TuAEL8wnpl-I9YN_Er6YX8NEckWksC45_e8s/pdf"
},
"status": "finalized",
"status_transitions": {
"finalized_at": "2026-10-15T12:38:56.480+02:00"
},
"supplier_country": "YE",
"supplier_data": {
"name": "Lebsack, Hermiston and Tillman",
"billing_address": {
"city": "Predovicstad",
"line1": "1453 Powlowski Summit",
"line2": "Apt. 293",
"country": "YE",
"postal_code": "33305-5579"
},
"tax_identification_number": "865614614",
"business_registration_number": "51375439000864"
},
"supplier_id": "org_17920607366y0b2494c5b2",
"supplier_tax_registration_data": [],
"supplier_tax_registration_ids": [],
"taxes": [],
"total_extratax_amount": 2888,
"total_tax_amount": 0,
"total_tax_included_amount": 2888,
"created_at": "2026-10-15T10:38:56.418Z",
"updated_at": "2026-10-15T10:38:56.563Z"
},
{
"id": "cn_179206073689ng29a69c0b",
"livemode": false,
"object": "credit_note",
"amount_to_credit": null,
"amount_overcredited": null,
"amount_credited": null,
"amount_post_payment": null,
"amount_pre_payment": null,
"amount_remaining": null,
"automatic_tax_calculation": {
"enabled": false
},
"credit_status": null,
"currency": "EUR",
"customer_data": {
"name": "Macejkovic, Ondricka and Becker",
"billing_address": {
"city": "Jenelleshire",
"line1": "736 Deckow Rapid",
"line2": "Suite 267",
"country": "FO",
"postal_code": "92982"
},
"tax_identification_number": "134953645",
"business_registration_number": "24704235100285"
},
"customer_id": "org_17920607367albba2ae37c",
"customer_tax_registration_data": [],
"customer_tax_registration_ids": [],
"document_date": null,
"document_number": null,
"flow": "sales",
"invoice_id": null,
"issuer": null,
"legal_notices": null,
"locale": "en",
"memo": null,
"metadata": {},
"numbering_sequence_id": "ns_179206073675eg43044735",
"order_reference": null,
"period": null,
"representations": {},
"status": "draft",
"status_transitions": {},
"supplier_country": "YE",
"supplier_data": {
"name": "Lebsack, Hermiston and Tillman",
"billing_address": {
"city": "Predovicstad",
"line1": "1453 Powlowski Summit",
"line2": "Apt. 293",
"country": "YE",
"postal_code": "33305-5579"
},
"tax_identification_number": "865614614",
"business_registration_number": "51375439000864"
},
"supplier_id": "org_17920607366y0b2494c5b2",
"supplier_tax_registration_data": [],
"supplier_tax_registration_ids": [],
"taxes": [],
"total_extratax_amount": 2888,
"total_tax_amount": 0,
"total_tax_included_amount": 2888,
"created_at": "2026-10-15T10:38:56.390Z",
"updated_at": "2026-10-15T10:38:56.390Z"
}
]
}{
"message": "<string>",
"status": 123,
"type": "INVALID_REQUEST_ERROR",
"params": [
{
"field": "<string>",
"errors": [
"<string>"
]
}
]
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Filter by invoice id
Filter by supplier id
Filter by customer id
Filter by flow
Available options:
purchases, sales, commissions 